# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedOrganizationAssignment Class Reference

`#include <StepAP214_AppliedOrganizationAssignment.hxx>`

Inheritance diagram for StepAP214_AppliedOrganizationAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedOrganizationAssignment ()
| Returns a AppliedOrganizationAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Organization)&aAssignedOrganization, const Handle(StepBasic_OrganizationRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_Organization)&aAssignedOrganization, const Handle(StepBasic_OrganizationRole)&aRole, const Handle(StepAP214_HArray1OfOrganizationItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfOrganizationItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfOrganizationItem | Items () const
Standard_EXPORT StepAP214_OrganizationItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfOrganizationItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedOrganizationAssignment::StepAP214_AppliedOrganizationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedOrganizationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_OrganizationAssignment.

virtual Standard_EXPORT void StepAP214_AppliedOrganizationAssignment::Init | ( | const Handle(StepBasic_Organization)& | aAssignedOrganization,
|  | const Handle(StepBasic_OrganizationRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfOrganizationItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AppliedOrganizationAssignment::Init | ( | const Handle(StepBasic_Organization)& | aAssignedOrganization,
|  | const Handle(StepBasic_OrganizationRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_OrganizationAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfOrganizationItem StepAP214_AppliedOrganizationAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_OrganizationItem StepAP214_AppliedOrganizationAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AppliedOrganizationAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedOrganizationAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfOrganizationItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfOrganizationItem StepAP214_AppliedOrganizationAssignment::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedOrganizationAssignment.hxx